Bug 1121853 - Review Request: perl-Text-Clip - Clip and extract text in clipboard-like way
Summary: Review Request: perl-Text-Clip - Clip and extract text in clipboard-like way
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1121934
TreeView+ depends on / blocked
 
Reported: 2014-07-22 04:51 UTC by Ralf Corsepius
Modified: 2014-08-01 06:06 UTC (History)
2 users (show)

Fixed In Version: perl-Text-Clip-0.0014-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 06:57:01 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2014-07-22 04:51:48 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Text-Clip.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Text-Clip-0.0014-1.fc22.src.rpm
Description:
Text::Clip allows you to mark/slice up a piece of text. String matching (by
regular expression, etc.) is used to place marks. The first mark lets you
access the text preceding and following the mark. Subsequent marks allow
you to slurp up the text "clipped" between the marks.
Fedora Account System Username: corsepiu

This package is a dependency of an optional tool being used inside of rt-4.0.x's source tree.

Comment 1 Petr Pisar 2014-07-22 13:50:52 UTC
Standalone spec will be used for this review.

URL and Source0 are usable. Ok.
Source archive is original (SHA-256: 6f5b134a96a22ac9f314a996188955f4c631eecae5057e187330b4b1727adb4f). Ok.
Summary verified from lib/Text/Clip.pm. Ok.
Description verified from lib/Text/Clip.pm. Ok.
License verified from lib/Text/Clip.pm, README. Ok.
No XS code, noarch BuildArch is Ok.
All build-requires are declared. Ok.
All test pass. Ok.

$ rpmlint perl-Text-Clip.spec ../SRPMS/perl-Text-Clip-0.0014-1.fc22.src.rpm ../RPMS/noarch/perl-Text-Clip-0.0014-1.fc22.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Text-Clip-0.0014-1.fc22.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jul 22 15:40 /usr/share/doc/perl-Text-Clip
-rw-r--r--    1 root    root                      646 Jun  1  2010 /usr/share/doc/perl-Text-Clip/Changes
-rw-r--r--    1 root    root                     1305 Jun  1  2010 /usr/share/doc/perl-Text-Clip/README
-rw-r--r--    1 root    root                     2404 Jul 22 15:40 /usr/share/man/man3/Text::Clip.3pm.gz
drwxr-xr-x    2 root    root                        0 Jul 22 15:40 /usr/share/perl5/vendor_perl/Text
-rw-r--r--    1 root    root                     6772 Jun  1  2010 /usr/share/perl5/vendor_perl/Text/Clip.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Text-Clip-0.0014-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Any::Moose)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Text-Clip-0.0014-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(Text::Clip) = 0.0014
      1 perl-Text-Clip = 0.0014-1.fc22
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Text-Clip-0.0014-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7177793). Ok.

Package is in line with Fedora and Perl packaging guidelines.

Resolution: Package APPROVED.

Comment 2 Ralf Corsepius 2014-07-22 14:04:34 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: perl-Text-Clip
Short Description: Clip and extract text in clipboard-like way
Upstream URL: http://search.cpan.org/dist/Text-Clip/
Owners: corsepiu
Branches: f19 f20 f21
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2014-07-22 14:53:41 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 06:56:22 UTC
perl-Text-Clip-0.0014-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Text-Clip-0.0014-1.fc20

Comment 5 Fedora Update System 2014-07-23 06:56:28 UTC
perl-Text-Clip-0.0014-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Text-Clip-0.0014-1.fc19

Comment 6 Fedora Update System 2014-08-01 06:04:24 UTC
perl-Text-Clip-0.0014-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 7 Fedora Update System 2014-08-01 06:06:42 UTC
perl-Text-Clip-0.0014-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.